# FindXLIFEPP_OpenCASCADE main module to find OpenCASCADE libraries and dependencies
#
# module inputs
#     OpenCASCADE_CONFIG_DIR = specific directory where to find OpenCASCADE Config files
# module outputs
#     OpenCASCADE_INCLUDE_DIR = include directory with full path
#     OpenCASCADE_LIBRARIES = list of library targets of OpenCASCADE

find_package(OpenCASCADE QUIET)
find_package(OCE QUIET)
if (OpenCASCADE_FOUND)
  set(XLIFEPP_OPENCASCADE_DIR ${OpenCASCADE_DIR})
  set(XLIFEPP_OPENCASCADE_INCLUDE_DIR ${OpenCASCADE_INCLUDE_DIR})
  set(XLIFEPP_OPENCASCADE_LIBRARIES ${OpenCASCADE_LIBRARIES})
elseif(OCE_FOUND)
  set(XLIFEPP_OPENCASCADE_DIR ${OCE_DIR})
  set(XLIFEPP_OPENCASCADE_INCLUDE_DIR ${OCE_INCLUDE_DIR})
  set(XLIFEPP_OPENCASCADE_LIBRARIES ${OCE_LIBRARIES})
endif()

# Standard package handling
include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(XLIFEPP_OPENCASCADE DEFAULT_MSG XLIFEPP_OPENCASCADE_LIBRARIES XLIFEPP_OPENCASCADE_INCLUDE_DIR XLIFEPP_OPENCASCADE_DIR)

mark_as_advanced(XLIFEPP_OPENCASCADE_LIBRARIES XLIFEPP_OPENCASCADE_INCLUDE_DIR XLIFEPP_OPENCASCADE_DIR)
